<?xml version="1.0" encoding="UTF-8"?>
<!-- WSDL description of the i~sense Web Service SOAP API -->

<definitions
  name="iSenseApi"
  targetNamespace="urn:iSenseApi"
  xmlns:typens="urn:iSenseApi"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns="http://schemas.xmlsoap.org/wsdl/">

  <types>
    <xsd:schema xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="urn:iSenseApi">

      <xsd:complexType name="StringArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="xsd:string[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      
      <!-- PLATFORM -->
      <xsd:complexType name="SystemInfo">
        <xsd:all>
          <xsd:element name="name"         type="xsd:string"/>
          <xsd:element name="vendor"       type="xsd:string"/>
          <xsd:element name="version"      type="xsd:int"/>
          <xsd:element name="admin"        type="xsd:string"/>
          <xsd:element name="stdlang"      type="xsd:string"/>
          <xsd:element name="licenseowner" type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      
      <xsd:complexType name="RemoteCallParam">
        <xsd:all>
          <xsd:element name="name"  type="xsd:string"/>
          <xsd:element name="value" type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="RemoteCallParamArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:RemoteCallParam[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

      <!-- ORG_CONTACTS -->
      <xsd:complexType name="DataCompany">
        <xsd:all>
          <xsd:element name="id"            type="xsd:int"/>
          <xsd:element name="owneruser"     type="xsd:string"/>
          <xsd:element name="ownergroup"    type="xsd:string"/>
          <xsd:element name="creator"       type="xsd:string"/>
          <xsd:element name="creationdate"  type="xsd:int"/>
          <xsd:element name="lastmodified"  type="xsd:int"/>
          <xsd:element name="name"          type="xsd:string"/>
          <xsd:element name="director"      type="xsd:string"/>
          <xsd:element name="traderegister" type="xsd:string"/>
          <xsd:element name="taxcode"       type="xsd:string"/>
          <xsd:element name="address"       type="xsd:string"/>
          <xsd:element name="postalcode"    type="xsd:string"/>
          <xsd:element name="city"          type="xsd:string"/>
          <xsd:element name="region"        type="xsd:string"/>
          <xsd:element name="country"       type="xsd:string"/>
          <xsd:element name="phone"         type="xsd:string"/>
          <xsd:element name="phone2"        type="xsd:string"/>
          <xsd:element name="fax"           type="xsd:string"/>
          <xsd:element name="fax2"          type="xsd:string"/>
          <xsd:element name="email"         type="xsd:string"/>
          <xsd:element name="website"       type="xsd:string"/>
          <xsd:element name="description"   type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="DataCompanyArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:DataCompany[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

      <xsd:complexType name="DataPerson">
        <xsd:all>
          <xsd:element name="id"           type="xsd:int"/>
          <xsd:element name="owneruser"    type="xsd:string"/>
          <xsd:element name="ownergroup"   type="xsd:string"/>
          <xsd:element name="creator"      type="xsd:string"/>
          <xsd:element name="creationdate" type="xsd:int"/>
          <xsd:element name="lastmodified" type="xsd:int"/>
          <xsd:element name="name"         type="xsd:string"/>
          <xsd:element name="lastname"     type="xsd:string"/>
          <xsd:element name="firstname"    type="xsd:string"/>
          <xsd:element name="title"        type="xsd:string"/>
          <xsd:element name="company"      type="xsd:string"/>
          <xsd:element name="position"     type="xsd:string"/>
          <xsd:element name="workgroup"    type="xsd:string"/>
          <xsd:element name="address"      type="xsd:string"/>
          <xsd:element name="postalcode"   type="xsd:string"/>
          <xsd:element name="city"         type="xsd:string"/>
          <xsd:element name="region"       type="xsd:string"/>
          <xsd:element name="country"      type="xsd:string"/>
          <xsd:element name="phone"        type="xsd:string"/>
          <xsd:element name="phone2"       type="xsd:string"/>
          <xsd:element name="cell"         type="xsd:string"/>
          <xsd:element name="fax"          type="xsd:string"/>
          <xsd:element name="fax2"         type="xsd:string"/>
          <xsd:element name="pager"        type="xsd:string"/>
          <xsd:element name="iptel"        type="xsd:string"/>
          <xsd:element name="email"        type="xsd:string"/>
          <xsd:element name="usebirthdate" type="xsd:int"/>
          <xsd:element name="birthdate"    type="xsd:int"/>
          <xsd:element name="description"  type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="DataPersonArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:DataPerson[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

      <!-- ORG_CALENDAR -->
      <xsd:complexType name="DataEvent">
        <xsd:all>
          <xsd:element name="id"            type="xsd:int"/>
          <xsd:element name="owneruser"     type="xsd:string"/>
          <xsd:element name="ownergroup"    type="xsd:string"/>
          <xsd:element name="creator"       type="xsd:string"/>
          <xsd:element name="creationdate"  type="xsd:int"/>
          <xsd:element name="lastmodified"  type="xsd:int"/>
          <xsd:element name="title"         type="xsd:string"/>
          <xsd:element name="location"      type="xsd:string"/>
          <xsd:element name="datefrom"      type="xsd:int"/>
          <xsd:element name="dateto"        type="xsd:int"/>
          <xsd:element name="repeat"        type="xsd:int"/>
          <xsd:element name="interval"      type="xsd:int"/>
          <xsd:element name="usedaterepeat" type="xsd:int"/>
          <xsd:element name="daterepeat"    type="xsd:int"/>
          <xsd:element name="label"         type="xsd:int"/>
          <xsd:element name="display"       type="xsd:int"/>
          <xsd:element name="description"   type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="DataEventArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:DataEvent[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

      <!-- ORG_NOTES -->
      <xsd:complexType name="DataNote">
        <xsd:all>
          <xsd:element name="id"           type="xsd:int"/>
          <xsd:element name="owneruser"    type="xsd:string"/>
          <xsd:element name="ownergroup"   type="xsd:string"/>
          <xsd:element name="creator"      type="xsd:string"/>
          <xsd:element name="assigneduser" type="xsd:string"/>
          <xsd:element name="creationdate" type="xsd:int"/>
          <xsd:element name="lastmodified" type="xsd:int"/>
          <xsd:element name="title"        type="xsd:string"/>
          <xsd:element name="text"         type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="DataNoteArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:DataNote[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

      <!-- ORG_TASKS -->
      <xsd:complexType name="DataTask">
        <xsd:all>
          <xsd:element name="id"              type="xsd:int"/>
          <xsd:element name="owneruser"       type="xsd:string"/>
          <xsd:element name="ownergroup"      type="xsd:string"/>
          <xsd:element name="creator"         type="xsd:string"/>
          <xsd:element name="assigneduser"    type="xsd:string"/>
          <xsd:element name="creationdate"    type="xsd:int"/>
          <xsd:element name="lastmodified"    type="xsd:int"/>
          <xsd:element name="parent"          type="xsd:int"/>
          <xsd:element name="title"           type="xsd:string"/>
          <xsd:element name="duedate"         type="xsd:int"/>
          <xsd:element name="status"          type="xsd:int"/>
          <xsd:element name="progress"        type="xsd:int"/>
          <xsd:element name="priority"        type="xsd:int"/>
          <xsd:element name="projectedeffort" type="xsd:float"/>
          <xsd:element name="actualeffort"    type="xsd:float"/>
          <xsd:element name="budget"          type="xsd:float"/>
          <xsd:element name="costs"           type="xsd:float"/>
          <xsd:element name="description"     type="xsd:string"/>
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="DataTaskArray">
        <xsd:complexContent>
          <xsd:restriction base="soapenc:Array">
             <xsd:attribute ref="soapenc:arrayType" wsdl:arrayType="typens:DataTask[]"/>
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>

    </xsd:schema>
  </types>

  <message name="stdEmptyRequest"/>
  <message name="stdRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
  </message>
  <message name="stdDataRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="id"   type="xsd:int"/>
  </message>
  <message name="stdBoolResponse">
    <part name="result" type="xsd:boolean"/>
  </message>
  <message name="stdStringArrayResponse">
    <part name="result" type="typens:StringArray"/>
  </message>

  <!-- PLATFORM -->
  <message name="getSystemInfoResponse">
    <part name="result" type="typens:SystemInfo"/>
  </message>
  <message name="remoteCallRequest">
    <part name="service"   type="xsd:int"/>
    <part name="accesskey" type="xsd:string"/>
    <part name="params"    type="typens:RemoteCallParamArray"/>
  </message>
  <message name="remoteCallResponse">
    <part name="result" type="xsd:string"/>
  </message>

  <!-- ORG_CONTACTS -->
  <message name="new_updateDataCompanyRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="data" type="typens:DataCompany"/>
  </message>
  <message name="getDataCompanyResponse">
    <part name="result" type="typens:DataCompany"/>
  </message>
  <message name="getAllDataCompanyResponse">
    <part name="result" type="typens:DataCompanyArray"/>
  </message>

  <message name="new_updateDataPersonRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="data" type="typens:DataPerson"/>
  </message>
  <message name="getDataPersonResponse">
    <part name="result" type="typens:DataPerson"/>
  </message>
  <message name="getAllDataPersonResponse">
    <part name="result" type="typens:DataPersonArray"/>
  </message>

  <!-- ORG_CALENDAR -->
  <message name="new_updateDataEventRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="data" type="typens:DataEvent"/>
  </message>
  <message name="getDataEventResponse">
    <part name="result" type="typens:DataEvent"/>
  </message>
  <message name="getAllDataEventResponse">
    <part name="result" type="typens:DataEventArray"/>
  </message>

  <!-- ORG_NOTES -->
  <message name="new_updateDataNoteRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="data" type="typens:DataNote"/>
  </message>
  <message name="getDataNoteResponse">
    <part name="result" type="typens:DataNote"/>
  </message>
  <message name="getAllDataNoteResponse">
    <part name="result" type="typens:DataNoteArray"/>
  </message>

  <!-- ORG_TASKS -->
  <message name="new_updateDataTaskRequest">
    <part name="user" type="xsd:string"/>
    <part name="pwd"  type="xsd:string"/>
    <part name="data" type="typens:DataTask"/>
  </message>
  <message name="getDataTaskResponse">
    <part name="result" type="typens:DataTask"/>
  </message>
  <message name="getAllDataTaskResponse">
    <part name="result" type="typens:DataTaskArray"/>
  </message>

  <portType name="iSenseApiPort">

    <!-- PLATFORM -->
    <operation name="ping">
      <input message="typens:stdRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getSystemInfo">
      <input message="typens:stdEmptyRequest"/>
      <output message="typens:getSystemInfoResponse"/>
    </operation>
    <operation name="getAccess">
      <input message="typens:stdRequest"/>
      <output message="typens:stdStringArrayResponse"/>
    </operation>
    <operation name="getAccessWrite">
      <input message="typens:stdRequest"/>
      <output message="typens:stdStringArrayResponse"/>
    </operation>
    <operation name="getGroups">
      <input message="typens:stdRequest"/>
      <output message="typens:stdStringArrayResponse"/>
    </operation>
    <operation name="getGroupsWrite">
      <input message="typens:stdRequest"/>
      <output message="typens:stdStringArrayResponse"/>
    </operation>
    <operation name="remoteCall">
      <input message="typens:remoteCallRequest"/>
      <output message="typens:remoteCallResponse"/>
    </operation>

    <!-- ORG_CONTACTS -->
    <operation name="newDataCompany">
      <input message="typens:new_updateDataCompanyRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="updateDataCompany">
      <input message="typens:new_updateDataCompanyRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="deleteDataCompany">
      <input message="typens:stdDataRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getDataCompany">
      <input message="typens:stdDataRequest"/>
      <output message="typens:getDataCompanyResponse"/>
    </operation>
    <operation name="getAllDataCompany">
      <input message="typens:stdRequest"/>
      <output message="typens:getAllDataCompanyResponse"/>
    </operation>

    <operation name="newDataPerson">
      <input message="typens:new_updateDataPersonRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="updateDataPerson">
      <input message="typens:new_updateDataPersonRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="deleteDataPerson">
      <input message="typens:stdDataRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getDataPerson">
      <input message="typens:stdDataRequest"/>
      <output message="typens:getDataPersonResponse"/>
    </operation>
    <operation name="getAllDataPerson">
      <input message="typens:stdRequest"/>
      <output message="typens:getAllDataPersonResponse"/>
    </operation>

    <!-- ORG_CALENDAR -->
    <operation name="newDataEvent">
      <input message="typens:new_updateDataEventRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="updateDataEvent">
      <input message="typens:new_updateDataEventRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="deleteDataEvent">
      <input message="typens:stdDataRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getDataEvent">
      <input message="typens:stdDataRequest"/>
      <output message="typens:getDataEventResponse"/>
    </operation>
    <operation name="getAllDataEvent">
      <input message="typens:stdRequest"/>
      <output message="typens:getAllDataEventResponse"/>
    </operation>

    <!-- ORG_NOTES -->
    <operation name="newDataNote">
      <input message="typens:new_updateDataNoteRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="updateDataNote">
      <input message="typens:new_updateDataNoteRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="deleteDataNote">
      <input message="typens:stdDataRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getDataNote">
      <input message="typens:stdDataRequest"/>
      <output message="typens:getDataNoteResponse"/>
    </operation>
    <operation name="getAllDataNote">
      <input message="typens:stdRequest"/>
      <output message="typens:getAllDataNoteResponse"/>
    </operation>

    <!-- ORG_TASKS -->
    <operation name="newDataTask">
      <input message="typens:new_updateDataTaskRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="updateDataTask">
      <input message="typens:new_updateDataTaskRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="deleteDataTask">
      <input message="typens:stdDataRequest"/>
      <output message="typens:stdBoolResponse"/>
    </operation>
    <operation name="getDataTask">
      <input message="typens:stdDataRequest"/>
      <output message="typens:getDataTaskResponse"/>
    </operation>
    <operation name="getAllDataTask">
      <input message="typens:stdRequest"/>
      <output message="typens:getAllDataTaskResponse"/>
    </operation>

  </portType>

  <binding name="iSenseApiBinding" type="typens:iSenseApiPort">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>

    <!-- PLATFORM -->
    <operation name="ping">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getSystemInfo">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAccess">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAccessWrite">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getGroups">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getGroupsWrite">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="remoteCall">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

    <!-- ORG_CONTACTS -->
    <operation name="newDataCompany">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataCompany">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="deleteDataCompany">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getDataCompany">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAllDataCompany">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

    <operation name="newDataPerson">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataPerson">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="deleteDataPerson">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getDataPerson">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAllDataPerson">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

    <!-- ORG_CALENDAR -->
    <operation name="newDataEvent">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataEvent">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="deleteDataEvent">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getDataEvent">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAllDataEvent">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

    <!-- ORG_NOTES -->
    <operation name="newDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="deleteDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAllDataNote">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

    <!-- ORG_TASKS -->
    <operation name="newDataTask">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="updateDataTask">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="deleteDataTask">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getDataTask">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>
    <operation name="getAllDataTask">
      <soap:operation soapAction="urn:iSenseApiAction"/> 
      <input>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </input>
      <output>
        <soap:body use="encoded" namespace="urn:iSenseApi" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/> 
      </output>
    </operation>

  </binding>

  <service name="iSenseApiService">
    <port name="iSenseApiPort" binding="typens:iSenseApiBinding">
      <soap:address location="http://localhost/isense/public/soapapi.php"/>
    </port>
  </service>

</definitions>